
// WFTask
import { defHttp } from '@/utils/http/axios';
import {MyUncompletedParams,TaskDetailParam} from './model/WFTaskModel'

  enum Api {
  // 我的待办
  LoadMyUncompletedPage = '/api/WFTask/LoadMyUncompletedPage',
  // 我的已办
  LoadMyCompletedPage='/api/WFTask/LoadMyCompletedPage',
  // 我的传阅
  LoadMyReadPage='/api/WFTask/LoadMyReadPage',
  // 我的委托
  LoadMyDelegatePage='/api/WFTask/LoadMyDelegatePage',
  GetTaskDetail='/api/WFTask/Get',
  GetBPMNTask='/api/WFTask/GetBPMN'
}

/**
 * @description: getLoadMyUncompletedPage
 */
 export function getLoadMyUncompletedPage(params?: MyUncompletedParams) {
  return defHttp.get({ url: Api.LoadMyUncompletedPage, params });
}
/**
 * @description: getLoadMyCompletedPage
 */
 export function getLoadMyCompletedPage(params?: MyUncompletedParams) {
  return defHttp.get({ url: Api.LoadMyCompletedPage, params });
}
/**
 * @description: getLoadMyReadPage
 */
 export function getLoadMyReadPage(params?: MyUncompletedParams) {
  return defHttp.get({ url: Api.LoadMyReadPage, params });
}
/**
 * @description: getLoadMyDelegatePage
 */
 export function getLoadMyDelegatePage(params?: MyUncompletedParams) {
  return defHttp.get({ url: Api.LoadMyDelegatePage, params });
}
/**
 * @description: GetTaskDetail
 */
 export function getTaskDetail(params?: TaskDetailParam) {
  return defHttp.get({ url: Api.GetTaskDetail, params });
}
/**
 * @description: getBPMNTask
 */
 export function getBPMNTask(params?: TaskDetailParam) {
  return defHttp.get({ url: Api.GetBPMNTask, params });
}

